var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var toMakeTheme = function toMakeTheme(theme) {
  return function (userTheme) {
    return _extends({}, theme, userTheme);
  };
};
function makeThemeFromList(list, theme) {
  var all = [].concat(list);
  var t = theme;
  var mt = void 0;
  while (mt = all.pop()) {
    t = mt(t);
  }
  return t;
}
function createMakeTheme(list) {
  return function (theme) {
    return makeThemeFromList(list, theme);
  };
}

export default createMakeTheme;
export { toMakeTheme };
//# sourceMappingURL=bootstrap-styled-theme.es.js.map
